<template>
  <div class="text-right">
    <v-dialog v-model="dialog" persistent height="auto" width="1100">
      <template v-slot:activator="{ on, attrs }">
        <v-btn
          class="
            button-text
            v-btn v-btn--outlined v-btn--rounded
            theme--light
            v-size--default
            tway-violet--text
          "
          color="coral lighten-2"
          outlined
          v-bind="attrs"
          v-on="on"
        >
          <v-icon color="purple"> mdi-cog-outline </v-icon>
          CONFIGURACIÓN
        </v-btn>
      </template>
      <v-card :class="'modalSystem'">
        <v-card>
          <div class="container">
            <v-btn icon right @click="dialog = false" class="float-right">
              <v-icon>mdi-close</v-icon>
            </v-btn>
            <h3 class="text-center">CONFIGURACIÓN OBJETIVOS</h3>
            <h4 class="text-center font-weight-regular">Definir Objetivos</h4>
            <form>
              <div class="d-flex justify-space-between mt-2">
                <v-row class="mt-6">
                  <v-col class="col-6">
                    <v-menu
                      v-model="menu"
                      :close-on-content-click="false"
                      :nudge-right="40"
                      transition="scale-transition"
                      offset-y
                      min-width="auto"
                    >
                      <template v-slot:activator="{ on, attrs }">
                        <v-text-field
                          v-model="inicio"
                          label="Fecha Inicio"
                          prepend-icon="mdi-calendar"
                          readonly
                          outlined
                          v-bind="attrs"
                          v-on="on"
                        ></v-text-field>
                      </template>
                      <v-date-picker
                        v-model="inicio"
                        @input="menu = false"
                      ></v-date-picker>
                    </v-menu>
                  </v-col>
                  <v-col class="col-6">
                    <v-menu
                      v-model="menu2"
                      :close-on-content-click="false"
                      :nudge-right="40"
                      transition="scale-transition"
                      offset-y
                      min-width="auto"
                      :min="inicio"
                    >
                      <template v-slot:activator="{ on, attrs }">
                        <v-text-field
                          v-model="termino"
                          label="Fecha Término"
                          prepend-icon="mdi-calendar"
                          readonly
                          outlined
                          v-bind="attrs"
                          v-on="on"
                          :min="inicio"
                        ></v-text-field>
                      </template>
                      <v-date-picker
                        v-model="inicio"
                        @input="menu2 = false"
                        :min="inicio"
                      ></v-date-picker>
                    </v-menu>
                  </v-col>
                  <template>
                    <v-row justify="center">
                      <v-expansion-panels accordion width="100%">
                        <v-expansion-panel v-for="(item, i) in 3" :key="i">
                          <v-expansion-panel-header>
                            OBJETIVO {{ i + 1 }}
                          </v-expansion-panel-header>
                          <v-expansion-panel-content class="pb-10">
                            <v-row>
                              <v-col class="col-3">
                                <v-text-field
                                  label="Título Objetivo"
                                  type="text"
                                  :hide-details="true"
                                  :maxlength="'15'"
                                  :minlenght="'0'"
                                  outlined
                                />
                              </v-col>
                              <v-col class="col-9">
                                <v-text-field
                                  label="Descripción Objetivo"
                                  type="text"
                                  :hide-details="true"
                                  :maxlength="'15'"
                                  :minlenght="'0'"
                                  outlined
                                />
                              </v-col>
                              <v-col class="col-12">
                                OKR1
                                <v-divider class="divisor"></v-divider>
                              </v-col>
                              <v-col class="col-3">
                                <v-text-field
                                  label="Título OKR"
                                  :hide-details="true"
                                  :maxlength="'15'"
                                  :minlenght="'0'"
                                  type="text"
                                  outlined
                                />
                              </v-col>
                              <v-col class="col-9">
                                <v-text-field
                                  label="Descripción OKR"
                                  :hide-details="true"
                                  :maxlength="'15'"
                                  :minlenght="'0'"
                                  type="text"
                                  outlined
                                />
                              </v-col>
                              <v-col class="col-12 px-12">
                                <v-row>
                                  <v-col class="col-12 mb-3">
                                    <span class="subtitulo">Metas</span>
                                  </v-col>
                                  <v-col class="col-2 columna-meta">
                                    <v-text-field
                                      label="Título Meta"
                                      type="text"
                                      :hide-details="true"
                                      :maxlength="'15'"
                                      :minlenght="'0'"
                                      outlined
                                    />
                                  </v-col>
                                  <v-col class="col-3 columna-meta">
                                    <v-text-field
                                      label="Descripción Meta"
                                      type="text"
                                      :hide-details="true"
                                      :maxlength="'15'"
                                      :minlenght="'0'"
                                      outlined
                                    />
                                  </v-col>
                                  <v-col class="col-2 columna-meta">
                                    <v-text-field
                                      label="Cantidad"
                                      type="text"
                                      :hide-details="true"
                                      :maxlength="'15'"
                                      :minlenght="'0'"
                                      outlined
                                    />
                                  </v-col>
                                  <v-col class="col-3 columna-meta">
                                    <v-text-field
                                      label="Cantidad línea base"
                                      type="text"
                                      :hide-details="true"
                                      :maxlength="'15'"
                                      :minlenght="'0'"
                                      outlined
                                    />
                                  </v-col>
                                  <v-col class="col-2 columna-meta">
                                    <v-select
                                      :items="medida"
                                      label="Unidad Medida"
                                      v-model="items.medida"
                                      outlined
                                    ></v-select>
                                  </v-col>
                                  <v-col class="col-2 columna-meta">
                                    <v-text-field
                                      label="Título Meta"
                                      type="text"
                                      :hide-details="true"
                                      :maxlength="'15'"
                                      :minlenght="'0'"
                                      outlined
                                    />
                                  </v-col>
                                  <v-col class="col-3 columna-meta">
                                    <v-text-field
                                      label="Descripción Meta"
                                      type="text"
                                      :hide-details="true"
                                      :maxlength="'15'"
                                      :minlenght="'0'"
                                      outlined
                                    />
                                  </v-col>
                                  <v-col class="col-2 columna-meta">
                                    <v-text-field
                                      label="Cantidad"
                                      type="text"
                                      :hide-details="true"
                                      :maxlength="'15'"
                                      :minlenght="'0'"
                                      outlined
                                    />
                                  </v-col>
                                  <v-col class="col-3 columna-meta">
                                    <v-text-field
                                      label="Cantidad línea base"
                                      type="text"
                                      :hide-details="true"
                                      :maxlength="'15'"
                                      :minlenght="'0'"
                                      outlined
                                    />
                                  </v-col>
                                  <v-col class="col-2 columna-meta">
                                    <v-select
                                      :items="medida"
                                      label="Unidad Medida"
                                      v-model="items.medida"
                                      outlined
                                    ></v-select>
                                  </v-col>
                                  <v-col class="col-12">
                                    <template>
                                      <v-row justify="center">
                                        <v-expansion-panels
                                          accordion
                                          width="100%"
                                        >
                                          <v-expansion-panel class="mt-4">
                                            <v-expansion-panel-header>
                                              INICIATIVAS
                                            </v-expansion-panel-header>
                                            <v-expansion-panel-content
                                              class="pb-4"
                                            >
                                              <v-row>
                                                <v-col class="col-3">
                                                  <v-text-field
                                                    label="Título Iniciativa 1"
                                                    type="text"
                                                    :hide-details="true"
                                                    :maxlength="'15'"
                                                    :minlenght="'0'"
                                                    outlined
                                                  />
                                                </v-col>
                                                <v-col class="col-9">
                                                  <v-text-field
                                                    label="Descripción"
                                                    type="text"
                                                    :hide-details="true"
                                                    :maxlength="'15'"
                                                    :minlenght="'0'"
                                                    outlined
                                                  />
                                                </v-col>
                                                <v-col class="col-3">
                                                  <v-text-field
                                                    label="Título Iniciativa 2"
                                                    type="text"
                                                    :hide-details="true"
                                                    :maxlength="'15'"
                                                    :minlenght="'0'"
                                                    outlined
                                                  />
                                                </v-col>
                                                <v-col class="col-9">
                                                  <v-text-field
                                                    label="Descripción"
                                                    type="text"
                                                    :hide-details="true"
                                                    :maxlength="'15'"
                                                    :minlenght="'0'"
                                                    outlined
                                                  />
                                                </v-col>
                                                <v-col class="col-3">
                                                  <v-text-field
                                                    label="Título Iniciativa 3"
                                                    type="text"
                                                    :hide-details="true"
                                                    :maxlength="'15'"
                                                    :minlenght="'0'"
                                                    outlined
                                                  />
                                                </v-col>
                                                <v-col class="col-9">
                                                  <v-text-field
                                                    label="Descripción"
                                                    type="text"
                                                    :hide-details="true"
                                                    :maxlength="'15'"
                                                    :minlenght="'0'"
                                                    outlined
                                                  />
                                                </v-col>
                                              </v-row>
                                            </v-expansion-panel-content>
                                          </v-expansion-panel>
                                        </v-expansion-panels>
                                      </v-row>
                                    </template>
                                  </v-col>
                                </v-row>
                              </v-col>

                              <v-col class="col-12 mt-8">
                                OKR2
                                <v-divider class="divisor"></v-divider>
                              </v-col>
                              <v-col class="col-3">
                                <v-text-field
                                  label="Título OKR"
                                  :hide-details="true"
                                  :maxlength="'15'"
                                  :minlenght="'0'"
                                  type="text"
                                  outlined
                                />
                              </v-col>
                              <v-col class="col-9">
                                <v-text-field
                                  label="Descripción OKR"
                                  :hide-details="true"
                                  :maxlength="'15'"
                                  :minlenght="'0'"
                                  type="text"
                                  outlined
                                />
                              </v-col>
                              <v-col class="col-12 px-12">
                                <v-row>
                                  <v-col class="col-12 mb-3">
                                    <span class="subtitulo">Metas</span>
                                  </v-col>
                                  <v-col class="col-2 columna-meta">
                                    <v-text-field
                                      label="Título Meta"
                                      type="text"
                                      :hide-details="true"
                                      :maxlength="'15'"
                                      :minlenght="'0'"
                                      outlined
                                    />
                                  </v-col>
                                  <v-col class="col-3 columna-meta">
                                    <v-text-field
                                      label="Descripción Meta"
                                      type="text"
                                      :hide-details="true"
                                      :maxlength="'15'"
                                      :minlenght="'0'"
                                      outlined
                                    />
                                  </v-col>
                                  <v-col class="col-2 columna-meta">
                                    <v-text-field
                                      label="Cantidad"
                                      type="text"
                                      :hide-details="true"
                                      :maxlength="'15'"
                                      :minlenght="'0'"
                                      outlined
                                    />
                                  </v-col>
                                  <v-col class="col-3 columna-meta">
                                    <v-text-field
                                      label="Cantidad línea base"
                                      type="text"
                                      :hide-details="true"
                                      :maxlength="'15'"
                                      :minlenght="'0'"
                                      outlined
                                    />
                                  </v-col>
                                  <v-col class="col-2 columna-meta">
                                    <v-select
                                      :items="medida"
                                      label="Unidad Medida"
                                      v-model="items.medida"
                                      outlined
                                    ></v-select>
                                  </v-col>
                                  <v-col class="col-2 columna-meta">
                                    <v-text-field
                                      label="Título Meta"
                                      type="text"
                                      :hide-details="true"
                                      :maxlength="'15'"
                                      :minlenght="'0'"
                                      outlined
                                    />
                                  </v-col>
                                  <v-col class="col-3 columna-meta">
                                    <v-text-field
                                      label="Descripción Meta"
                                      type="text"
                                      :hide-details="true"
                                      :maxlength="'15'"
                                      :minlenght="'0'"
                                      outlined
                                    />
                                  </v-col>
                                  <v-col class="col-2 columna-meta">
                                    <v-text-field
                                      label="Cantidad"
                                      type="text"
                                      :hide-details="true"
                                      :maxlength="'15'"
                                      :minlenght="'0'"
                                      outlined
                                    />
                                  </v-col>
                                  <v-col class="col-3 columna-meta">
                                    <v-text-field
                                      label="Cantidad línea base"
                                      type="text"
                                      :hide-details="true"
                                      :maxlength="'15'"
                                      :minlenght="'0'"
                                      outlined
                                    />
                                  </v-col>
                                  <v-col class="col-2 columna-meta">
                                    <v-select
                                      :items="medida"
                                      label="Unidad Medida"
                                      v-model="items.medida"
                                      outlined
                                    ></v-select>
                                  </v-col>
                                  <v-col class="col-12">
                                    <template>
                                      <v-row justify="center">
                                        <v-expansion-panels
                                          accordion
                                          width="100%"
                                        >
                                          <v-expansion-panel class="mt-4">
                                            <v-expansion-panel-header>
                                              INICIATIVAS
                                            </v-expansion-panel-header>
                                            <v-expansion-panel-content
                                              class="pb-4"
                                            >
                                              <v-row>
                                                <v-col class="col-3">
                                                  <v-text-field
                                                    label="Título Iniciativa 1"
                                                    type="text"
                                                    :hide-details="true"
                                                    :maxlength="'15'"
                                                    :minlenght="'0'"
                                                    outlined
                                                  />
                                                </v-col>
                                                <v-col class="col-9">
                                                  <v-text-field
                                                    label="Descripción"
                                                    type="text"
                                                    :hide-details="true"
                                                    :maxlength="'15'"
                                                    :minlenght="'0'"
                                                    outlined
                                                  />
                                                </v-col>
                                                <v-col class="col-3">
                                                  <v-text-field
                                                    label="Título Iniciativa 2"
                                                    type="text"
                                                    :hide-details="true"
                                                    :maxlength="'15'"
                                                    :minlenght="'0'"
                                                    outlined
                                                  />
                                                </v-col>
                                                <v-col class="col-9">
                                                  <v-text-field
                                                    label="Descripción"
                                                    type="text"
                                                    :hide-details="true"
                                                    :maxlength="'15'"
                                                    :minlenght="'0'"
                                                    outlined
                                                  />
                                                </v-col>
                                                <v-col class="col-3">
                                                  <v-text-field
                                                    label="Título Iniciativa 3"
                                                    type="text"
                                                    :hide-details="true"
                                                    :maxlength="'15'"
                                                    :minlenght="'0'"
                                                    outlined
                                                  />
                                                </v-col>
                                                <v-col class="col-9">
                                                  <v-text-field
                                                    label="Descripción"
                                                    type="text"
                                                    :hide-details="true"
                                                    :maxlength="'15'"
                                                    :minlenght="'0'"
                                                    outlined
                                                  />
                                                </v-col>
                                              </v-row>
                                            </v-expansion-panel-content>
                                          </v-expansion-panel>
                                        </v-expansion-panels>
                                      </v-row>
                                    </template>
                                  </v-col>
                                </v-row>
                              </v-col>

                              <v-col class="col-12 mt-8">
                                OKR3
                                <v-divider class="divisor"></v-divider>
                              </v-col>
                              <v-col class="col-3">
                                <v-text-field
                                  label="Título OKR"
                                  :hide-details="true"
                                  :maxlength="'15'"
                                  :minlenght="'0'"
                                  type="text"
                                  outlined
                                />
                              </v-col>
                              <v-col class="col-9">
                                <v-text-field
                                  label="Descripción OKR"
                                  :hide-details="true"
                                  :maxlength="'15'"
                                  :minlenght="'0'"
                                  type="text"
                                  outlined
                                />
                              </v-col>
                              <v-col class="col-12 px-12">
                                <v-row>
                                  <v-col class="col-12 mb-3">
                                    <span class="subtitulo">Metas</span>
                                  </v-col>
                                  <v-col class="col-2 columna-meta">
                                    <v-text-field
                                      label="Título Meta"
                                      type="text"
                                      :hide-details="true"
                                      :maxlength="'15'"
                                      :minlenght="'0'"
                                      outlined
                                    />
                                  </v-col>
                                  <v-col class="col-3 columna-meta">
                                    <v-text-field
                                      label="Descripción Meta"
                                      type="text"
                                      :hide-details="true"
                                      :maxlength="'15'"
                                      :minlenght="'0'"
                                      outlined
                                    />
                                  </v-col>
                                  <v-col class="col-2 columna-meta">
                                    <v-text-field
                                      label="Cantidad"
                                      type="text"
                                      :hide-details="true"
                                      :maxlength="'15'"
                                      :minlenght="'0'"
                                      outlined
                                    />
                                  </v-col>
                                  <v-col class="col-3 columna-meta">
                                    <v-text-field
                                      label="Cantidad línea base"
                                      type="text"
                                      :hide-details="true"
                                      :maxlength="'15'"
                                      :minlenght="'0'"
                                      outlined
                                    />
                                  </v-col>
                                  <v-col class="col-2 columna-meta">
                                    <v-select
                                      :items="medida"
                                      label="Unidad Medida"
                                      v-model="items.medida"
                                      outlined
                                    ></v-select>
                                  </v-col>
                                  <v-col class="col-2 columna-meta">
                                    <v-text-field
                                      label="Título Meta"
                                      type="text"
                                      :hide-details="true"
                                      :maxlength="'15'"
                                      :minlenght="'0'"
                                      outlined
                                    />
                                  </v-col>
                                  <v-col class="col-3 columna-meta">
                                    <v-text-field
                                      label="Descripción Meta"
                                      type="text"
                                      :hide-details="true"
                                      :maxlength="'15'"
                                      :minlenght="'0'"
                                      outlined
                                    />
                                  </v-col>
                                  <v-col class="col-2 columna-meta">
                                    <v-text-field
                                      label="Cantidad"
                                      type="text"
                                      :hide-details="true"
                                      :maxlength="'15'"
                                      :minlenght="'0'"
                                      outlined
                                    />
                                  </v-col>
                                  <v-col class="col-3 columna-meta">
                                    <v-text-field
                                      label="Cantidad línea base"
                                      type="text"
                                      :hide-details="true"
                                      :maxlength="'15'"
                                      :minlenght="'0'"
                                      outlined
                                    />
                                  </v-col>
                                  <v-col class="col-2 columna-meta">
                                    <v-select
                                      :items="medida"
                                      label="Unidad Medida"
                                      v-model="items.medida"
                                      outlined
                                    ></v-select>
                                  </v-col>
                                  <v-col class="col-12">
                                    <template>
                                      <v-row justify="center">
                                        <v-expansion-panels
                                          accordion
                                          width="100%"
                                        >
                                          <v-expansion-panel class="mt-4">
                                            <v-expansion-panel-header>
                                              INICIATIVAS
                                            </v-expansion-panel-header>
                                            <v-expansion-panel-content
                                              class="pb-4"
                                            >
                                              <v-row>
                                                <v-col class="col-3">
                                                  <v-text-field
                                                    label="Título Iniciativa 1"
                                                    type="text"
                                                    :hide-details="true"
                                                    :maxlength="'15'"
                                                    :minlenght="'0'"
                                                    outlined
                                                  />
                                                </v-col>
                                                <v-col class="col-9">
                                                  <v-text-field
                                                    label="Descripción"
                                                    type="text"
                                                    :hide-details="true"
                                                    :maxlength="'15'"
                                                    :minlenght="'0'"
                                                    outlined
                                                  />
                                                </v-col>
                                                <v-col class="col-3">
                                                  <v-text-field
                                                    label="Título Iniciativa 2"
                                                    type="text"
                                                    :hide-details="true"
                                                    :maxlength="'15'"
                                                    :minlenght="'0'"
                                                    outlined
                                                  />
                                                </v-col>
                                                <v-col class="col-9">
                                                  <v-text-field
                                                    label="Descripción"
                                                    type="text"
                                                    :hide-details="true"
                                                    :maxlength="'15'"
                                                    :minlenght="'0'"
                                                    outlined
                                                  />
                                                </v-col>
                                                <v-col class="col-3">
                                                  <v-text-field
                                                    label="Título Iniciativa 3"
                                                    type="text"
                                                    :hide-details="true"
                                                    :maxlength="'15'"
                                                    :minlenght="'0'"
                                                    outlined
                                                  />
                                                </v-col>
                                                <v-col class="col-9">
                                                  <v-text-field
                                                    label="Descripción"
                                                    type="text"
                                                    :hide-details="true"
                                                    :maxlength="'15'"
                                                    :minlenght="'0'"
                                                    outlined
                                                  />
                                                </v-col>
                                              </v-row>
                                            </v-expansion-panel-content>
                                          </v-expansion-panel>
                                        </v-expansion-panels>
                                      </v-row>
                                    </template>
                                  </v-col>
                                </v-row>
                              </v-col>
                            </v-row>
                          </v-expansion-panel-content>
                        </v-expansion-panel>
                      </v-expansion-panels>
                    </v-row>
                  </template>
                  <v-col
                    md="12"
                    class="
                      text-center
                      d-flex
                      justify-center
                      pa-md-10
                      mx-lg-auto
                    "
                  >
                    <v-btn
                      class="
                        button-text
                        v-btn v-btn--outlined v-btn--rounded
                        theme--light
                        v-size--default
                        tway-violet--text
                      "
                      outlined
                      color="indigo lighten-2"
                      @click="dialog = false"
                    >
                      <v-icon color="purple"> mdi-content-save </v-icon>
                      Guardar Objetivos
                    </v-btn>
                  </v-col>
                </v-row>
              </div>
            </form>
            <!-- ETAPAS -->
          </div>
        </v-card>
      </v-card>
    </v-dialog>
  </div>
</template>

<script>
export default {
  data: () => ({
    dialog: false,
    inicio: new Date(Date.now() - new Date().getTimezoneOffset() * 60000)
      .toISOString()
      .substr(0, 10),
    termino: new Date(Date.now() - new Date().getTimezoneOffset() * 60000)
      .toISOString()
      .substr(0, 10),
    menu: false,
    menu2: false,
    medida: ["%", "Facebook Likes", "Leads", "Dolares", "Pesos", "UF"],
    items: [
      {
        medida: "",
      },
    ],
  }),
};
</script>

<style>
.shrink {
  width: 150px;
}
.bar {
  width: 350px;
}
.modalSystem {
  border-radius: 0px !important;
}
.v-menu__content.theme--light.v-menu__content--fixed.menuable__content__active {
  background-color: #fff;
}
.modalSystem .v-card.v-sheet.theme--light {
  padding: 20px 40px;
}
.modalSystem label.v-label.theme--light {
  font-family: "Josefin Sans", sans-serif !important;
}
.modalSystem fieldset {
  border-color: #4a148c !important;
}
.modalSystem label.v-label--active {
  color: #4a148c !important;
}
.modalSystem button.float-right {
  z-index: 9;
  top: 15px;
  right: 15px;
  position: absolute;
}
.divisor {
  margin-top: 11px !important;
  width: calc(100% - 85px);
  float: right;
}
.subtitulo {
  color: rgba(0, 0, 0, 0.54);
  font-size: 16px;
}
.columna-meta.col {
  padding-top: 0px !important;
  padding-bottom: 0px !important;
}
.modalSystem .v-expansion-panels--accordion > .v-expansion-panel {
  border-left: 4px solid #4f228d;
}
.modalSystem .v-expansion-panel > .v-expansion-panel-header {
  font-weight: bold;
}
</style>
